<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Request;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class RequestReceived extends LifecycleEvent
{
    public function __construct(array $payload = [], array $metadata = [])
    {
        parent::__construct('platform.request.received', 'request', 'received', 'request', $payload, $metadata);
    }
}
